## Class Day

- java.lang.Object
- - Day

-     public class Day
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Day()` | Constructs a day object representing today's date.
    `Day​(int aYear, int aMonth, int aDate)` | Constructs a day with a given year, month, and day of the Julian/Gregorian calendar.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Day` | `addDays​(int n)` | Returns a day that is a certain number of days away from this day.
    `int` | `daysFrom​(Day other)` | Returns the number of days between this day and another day.
    `int` | `getDate()` | Returns the day of the month of this day.
    `int` | `getMonth()` | Returns the month of this day.
    `int` | `getYear()` | Returns the year of this day.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Day

          public Day()

      Constructs a day object representing today's date.

    - #### Day

          public Day​(int aYear,
                     int aMonth,
                     int aDate)

      Constructs a day with a given year, month, and day of the Julian/Gregorian calendar. The Julian calendar is used for all days before October 15, 1582
      Parameters:
        `aYear` - a year != 0
        `aMonth` - a month between 1 and 12
        `aDate` - a date between 1 and 31

  - ### Method Detail

    - #### getYear

          public int getYear()

      Returns the year of this day.
      Returns:
        the year

    - #### getMonth

          public int getMonth()

      Returns the month of this day.
      Returns:
        the month

    - #### getDate

          public int getDate()

      Returns the day of the month of this day.
      Returns:
        the day of the month

    - #### addDays

          public Day addDays​(int n)

      Returns a day that is a certain number of days away from this day.
      Parameters:
        `n` - the number of days, can be negative
      Returns:
        a day that is n days away from this one

    - #### daysFrom

          public int daysFrom​(Day other)

      Returns the number of days between this day and another day.
      Parameters:
        `other` - the other day
      Returns:
        the number of days that this day is away from the other (larger than 0 if this day comes later than `other`)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`